gtkmm: Gtk::Statusbar Class Reference

gtkmm 2.24.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Related Functions

# Gtk::Statusbar Class Reference
Widgets

Text status indicator This widget is used to display status information. More...

Inheritance diagram for Gtk::Statusbar:
[legend]
Collaboration diagram for Gtk::Statusbar:
[legend]

List of all members.

## Public Member Functions
virtual | ~Statusbar ()
GtkStatusbar* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkStatusbar* | gobj () const
| Provides access to the underlying C GtkObject.
| Statusbar ()
guint | get_context_id (const Glib::ustring& context_description)
| Returns a new context identifier, given a description of the actual context.
guint | push (const Glib::ustring& text, guint context_id=0)
| Pushes a new message onto a statusbar's stack.
void | pop (guint context_id=0)
| Removes the first message in the Gtk::StatusBar's stack with the given context id.
void | remove_message (guint message_id, guint context_id=0)
| Forces the removal of a message from a statusbar's stack.
void | remove_all_messages (guint context_id=0)
| Forces the removal of all messages from a statusbar's stack with the exact context_id.
void | set_has_resize_grip (bool setting=true)
| Sets whether the statusbar has a resize grip.
bool | get_has_resize_grip () const
| Returns whether the statusbar has a resize grip.
Gtk::Widget* | get_message_area ()
| Retrieves the box containing the label widget.
const Gtk::Widget* | get_message_area () const
| Retrieves the box containing the label widget.
Glib::SignalProxy2< void, guint, const Glib::ustring& > | signal_text_pushed ()
Glib::SignalProxy2< void, guint, const Glib::ustring& > | signal_text_popped ()
Glib::PropertyProxy< bool > | property_has_resize_grip ()
| Whether the statusbar has a grip for resizing the toplevel.
Glib::PropertyProxy_ReadOnly < bool > | property_has_resize_grip () const
| Whether the statusbar has a grip for resizing the toplevel.
## Protected Member Functions
virtual void | on_text_pushed (guint context_id, const Glib::ustring& text)
virtual void | on_text_popped (guint context_id, const Glib::ustring& text)
## Related Functions
(Note that these are not member functions.)
Gtk::Statusbar* | wrap (GtkStatusbar* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Text status indicator This widget is used to display status information.

Messages are pushed and poped onto a message stack. When text is pushed it replaces the old contents. The old text is restored when popped.

It derives from Gtk::HBox so that additional information can be added easily.

The Statusbar widget looks like this:

## Constructor & Destructor Documentation

virtual Gtk::Statusbar::~Statusbar | ( |  | ) | `[virtual]`

Gtk::Statusbar::Statusbar | ( |  | ) |

## Member Function Documentation

guint Gtk::Statusbar::get_context_id | ( | const Glib::ustring & | context_description | ) |

Returns a new context identifier, given a description of the actual context.

Note that the description is not shown in the UI.

Parameters:

  context_description | Textual description of what context the new message is being used in.

Returns:
  An integer id.

bool Gtk::Statusbar::get_has_resize_grip | ( |  | ) | const

Returns whether the statusbar has a resize grip.

Returns:
  `true` if the statusbar has a resize grip.

Gtk::Widget* Gtk::Statusbar::get_message_area | ( |  | ) |

Retrieves the box containing the label widget.

Since gtkmm 2.20:

Returns:
  A Gtk::Box.

const Gtk::Widget* Gtk::Statusbar::get_message_area | ( |  | ) | const

Retrieves the box containing the label widget.

Since gtkmm 2.20:

Returns:
  A Gtk::Box.

GtkStatusbar* Gtk::Statusbar::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::HBox.

const GtkStatusbar* Gtk::Statusbar::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::HBox.

virtual void Gtk::Statusbar::on_text_popped | ( | guint | context_id,
|  | const Glib::ustring & | text
| ) |  | `[protected, virtual]`

virtual void Gtk::Statusbar::on_text_pushed | ( | guint | context_id,
|  | const Glib::ustring & | text
| ) |  | `[protected, virtual]`

void Gtk::Statusbar::pop | ( | guint | context_id = `0` | ) |

Removes the first message in the Gtk::StatusBar's stack with the given context id.

Note that this may not change the displayed message, if the message at the top of the stack has a different context id.

Parameters:

  context_id | A context identifier.

Glib::PropertyProxy<bool> Gtk::Statusbar::property_has_resize_grip | ( |  | ) |

Whether the statusbar has a grip for resizing the toplevel.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::Statusbar::property_has_resize_grip | ( |  | ) | const

Whether the statusbar has a grip for resizing the toplevel.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

guint Gtk::Statusbar::push | ( | const Glib::ustring & | text,
|  | guint | context_id = `0`
| ) |  |

Pushes a new message onto a statusbar's stack.

Parameters:

  text | The message to add to the statusbar.
  context_id | The message's context id, as returned by get_context_id()

void Gtk::Statusbar::remove_all_messages | ( | guint | context_id = `0` | ) |

Forces the removal of all messages from a statusbar's stack with the exact context_id.

Since gtkmm 2.22:

Parameters:

  context_id | A context identifier.

void Gtk::Statusbar::remove_message | ( | guint | message_id,
|  | guint | context_id = `0`
| ) |  |

Forces the removal of a message from a statusbar's stack.

The exact context_id and message_id must be specified.

Parameters:

  message_id | A message identifier, as returned by push().
  context_id | A context identifier.

void Gtk::Statusbar::set_has_resize_grip | ( | bool | setting = `true` | ) |

Sets whether the statusbar has a resize grip.

`true` by default.

Parameters:

  setting | `true` to have a resize grip.

Glib::SignalProxy2< void,guint,const Glib::ustring& > Gtk::Statusbar::signal_text_popped | ( |  | ) |

Prototype:
  `void on_my_text_popped(guint context_id, const Glib::ustring& text)`

Glib::SignalProxy2< void,guint,const Glib::ustring& > Gtk::Statusbar::signal_text_pushed | ( |  | ) |

Prototype:
  `void on_my_text_pushed(guint context_id, const Glib::ustring& text)`

## Friends And Related Function Documentation

Gtk::Statusbar* wrap | ( | GtkStatusbar * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/statusbar.h